import React from 'react';
import { useLocation } from 'react-router-dom';
import FuseMindHome from './FuseMindHome';

const FuseMind: React.FC = () => {
  const location = useLocation();
  const path = location.pathname.split('/').pop() || 'home';

  // If we're at the home route, render FuseMindHome directly
  if (path === 'home' || path === 'fusemind') {
    return <FuseMindHome />;
  }

  return null;
};

export default FuseMind;
