import { ModalPosition } from '../core/types';

export interface GridPosition {
    x: number;
    y: number;
    width: number;
    height: number;
}

export interface GridModal {
    id: string;
    position: GridPosition;
}

export const useModalGrid: () => {
    addModal: (id: string, width: number, height: number) => GridPosition | null;
    removeModal: (id: string) => void;
    moveModal: (id: string, newPos: GridPosition) => boolean;
    modals: GridModal[];
    gridState: boolean[][];
}; 